Bug 2031797

Summary: [RFE] Order and text of Boot source type input are wrong
Product: OpenShift Container Platform Reporter: Yaacov Zamir <yzamir>
Component: Console Kubevirt PluginAssignee: Hilda Stastna <hstastna>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.10CC: aos-bugs, gouyang, tnisan
Target Milestone: ---   
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-10 16:33:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
Source types are actually actions and not types none

Description Yaacov Zamir 2021-12-13 13:16:57 UTC
Created attachment 1846087 [details]
Source types are actually actions and not types

Description of problem:
the text and order of the options of "Boot source type" input in create VM wizard 
is wrong

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create VM using a wizard
2. Choose a Template without a source image
3.

Actual results:
a. No default "Boot source type" is available.

b. The texts does not indicate "source type" they indicate "action used to the source"
"Import via URL" should be "URL"
"Clone existing PVC" should be "PVC"
"Import via Registry" should be "Registry"

c. Order of options does not go from most common to less common
Order should be
PVC - most commonly used
Registry (local registry then external registry ?)
URL - least used type of source image

Expected results:
default "Boot source type" is "PVC"

Additional info:

Comment 2 Guohua Ouyang 2022-01-21 02:25:47 UTC
verified on master.

Comment 6 errata-xmlrpc 2022-03-10 16:33:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056